Skip to main content
POST
/
org
/
{org}
/
agent
Create an agent
curl --request POST \
  --url https://api.cpln.io/org/{org}/agent \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "tags": {}
}
'
{
  "id": "<string>",
  "name": "<string>",
  "kind": "<string>",
  "version": 123,
  "description": "<string>",
  "tags": {},
  "created": "2023-11-07T05:31:56Z",
  "lastModified": "2023-11-07T05:31:56Z",
  "links": [
    {
      "rel": "<string>",
      "href": "<string>"
    }
  ],
  "status": {
    "bootstrapConfig": {
      "registrationToken": "<string>",
      "agentId": "<string>",
      "agentLink": "<string>",
      "hubEndpoint": "<string>",
      "protocolVersion": "v1"
    },
    "protocolVersion": "v1"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.controlplane.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Service account key can be used as API keys

Path Parameters

org
string
required

Body

application/json
name
string
Maximum string length: 64
description
string
Maximum string length: 250
tags
object

Response

The agent was created successfully. The Response will contain the bootstrap config JSON text that is required when configuring an agent at a cloud provider.

id
string
read-only
name
string
Maximum string length: 64
kind
string
read-only
version
integer
read-only
description
string
Maximum string length: 250
tags
object
created
string<date-time>
read-only
lastModified
string<date-time>
read-only
status
object
read-only